Groovy Documentation

## groovy.util
[Groovy] Class ConfigBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.ConfigBinding

    class ConfigBinding
    extends Binding

Since Groovy Script don't support overriding setProperty, we have to using a trick with the Binding to provide this functionality

Property Summary
`java.lang.Object` | `callable`

Constructor Summary
`ConfigBinding(Closure c)`

Method Summary
`void` | `setVariable(java.lang.String name, java.lang.Object value)`

Methods inherited from class Binding
getProperty, getVariable, getVariables, hasVariable, setProperty, setVariable

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### callable

    java.lang.Object callable

Constructor Detail

### ConfigBinding

    ConfigBinding(Closure c)

Method Detail

### setVariable

    void setVariable(java.lang.String name, java.lang.Object value)

Groovy Documentation